Unverified Commit 4b84e1e4 authored by René Fritze's avatar René Fritze Committed by GitHub
Browse files

[ci] debian bullseye now defaults to python 3.9 (#1217)

This fixes install checks for updated debian bullseye
parents 5c6b3b6e 4cc900de
Pipeline #70042 passed with stages
in 36 minutes and 18 seconds
This diff is collapsed.
......@@ -437,7 +437,7 @@ test_scripts = [("mpi", pythons, 1), ("pip_installed", pythons, 1), ("tutorials"
("vanilla", pythons, 1), ("numpy_git", newest, 1), ("oldest", oldest, 1),]
# these should be all instances in the federation
binder_urls = [f'https://{sub}.mybinder.org/build/gh/pymor/pymor' for sub in ('gke', 'ovh', 'gesis')]
testos = [('centos_8','3.6'), ('debian_buster','3.7'), ('debian_bullseye','3.8')]
testos = [('centos_8','3.6'), ('debian_buster','3.7'), ('debian_bullseye','3.9')]
env_path = Path(os.path.dirname(__file__)) / '..' / '..' / '.env'
env = dotenv_values(env_path)
......
......@@ -2,6 +2,6 @@ DOCKER_BASE_PYTHON=3.7
PYMOR_TEST_SCRIPT=vanilla
PYPI_MIRROR=stable
PYMOR_TEST_OS=debian_buster
PYPI_MIRROR_TAG=54837b6625c61f0954434cfaa27f89c023fe70cb
CI_IMAGE_TAG=54837b6625c61f0954434cfaa27f89c023fe70cb
PYPI_MIRROR_TAG=2f44a2ffd0e78749f55145db80e161b814693300
CI_IMAGE_TAG=2f44a2ffd0e78749f55145db80e161b814693300
PYMOR_HYPOTHESIS_PROFILE=dev
......@@ -46,7 +46,7 @@ install_suggests = {'ipython>=5.0': 'an enhanced interactive python shell',
_PYSIDE: 'solution visualization for builtin discretizations',
'ipywidgets': 'notebook GUI elements',
'nbresuse': 'resource usage indicator for notebooks',
'torch': 'PyTorch open source machine learning framework',
'torch;python_version<"3.9"': 'PyTorch open source machine learning framework',
'jupyter_contrib_nbextensions': 'modular collection of jupyter extensions',
'pillow': 'image library used for bitmap data functions'}
doc_requires = ['sphinx>=1.7', 'jupyter_sphinx', 'matplotlib', _PYSIDE, 'ipyparallel>=6.2.5', 'python-slugify',
......
......@@ -41,6 +41,6 @@ sphinx-material
sphinx-qt-documentation
sphinx>=1.7
sympy
torch
torch;python_version<"3.9"
typer
wheel
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment